Debian Bug report logs - #697339
flashplugin-nonfree: please download and install older player depending on /proc/cpuinfo

version graph

Package: flashplugin-nonfree; Maintainer for flashplugin-nonfree is Bart Martens <bartm@debian.org>; Source for flashplugin-nonfree is src:flashplugin-nonfree.

Reported by: Martijn Brouwer <martijnb@gmx.com>

Date: Fri, 4 Jan 2013 07:30:02 UTC

Severity: wishlist

Tags: wontfix

Found in version flashplugin-nonfree/1:3.2

Fixed in version flashplugin-nonfree/1:3.3

Done: Bart Martens <bartm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bart Martens <bartm@debian.org>:
Bug#697339; Package flashplugin-nonfree. (Fri, 04 Jan 2013 07:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martijn Brouwer <martijnb@gmx.com>:
New Bug report received and forwarded. Copy sent to Bart Martens <bartm@debian.org>. (Fri, 04 Jan 2013 07:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martijn Brouwer <martijnb@gmx.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: flashplugin-nonfree: installation of non working flashplugin on AMD K7
Date: Fri, 04 Jan 2013 08:17:04 +0100
Package: flashplugin-nonfree
Version: 1:3.2
Severity: normal

Dear Maintainer,
The flashplugin-nonfree package installs the newest version (currently 11.2)
of the the flashplayer, which does not work on AMD K7 cpu's or other cpu's that
do not support sse2. As a results, the player crashes with SIGILL.
In iceweasel and firefox this does just not work. Epiphany and midori crash,
only opera does show the cause of the crash.
The 11.1 version of the flash player does not use sse2 and works correctly.
Therefore I suggest that the flashplugin-nonfree package checks whether the 
cpu supports sse2 (in /proc/cpuinfo), and the desides to install the latest
version or the older 11.1. 

-- Package-specific info:
Debian version: 7.0
Architecture: amd64
Package version: 1:3.2
Adobe Flash Player version: LNX 11,2,202,258
MD5 checksums:
	abcc42d405b0bcce8074bb7b34c4904c  /var/cache/flashplugin-nonfree/get-upstream-version.pl
	999fec504e6d85b1b995264d796d49bf  /var/cache/flashplugin-nonfree/install_flash_player_11_linux.x86_64.tar.gz
	4efd7f0a0041a26e6c148120bcc311bb  /var/cache/flashplugin-nonfree/install_flash_player_11_linux_x86_64.tar.gz
	33024e10325ccec6c97e1ab36183af5a  /usr/lib/flashplugin-nonfree/libflashplayer.so
Alternatives:
	flash-mozilla.so - auto mode
	  link currently points to /usr/lib/flashplugin-nonfree/libflashplayer.so
	/usr/lib/flashplugin-nonfree/libflashplayer.so - priority 50
	Current 'best' version is '/usr/lib/flashplugin-nonfree/libflashplayer.so'.
	lrwxrwxrwx 1 root root 34 Jan  2 21:51 /usr/lib/mozilla/plugins/flash-mozilla.so -> /etc/alternatives/flash-mozilla.so
	/usr/lib/mozilla/plugins/flash-mozilla.so: symbolic link to `/etc/alternatives/flash-mozilla.so'

-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages flashplugin-nonfree depends on:
ii  binutils               2.22-7.1
ii  debconf [debconf-2.0]  1.5.48
ii  gnupg                  1.4.12-6
ii  libatk1.0-0            2.4.0-2
ii  libcairo2              1.12.2-2
ii  libcurl3-gnutls        7.26.0-1
ii  libfontconfig1         2.9.0-7.1
ii  libfreetype6           2.4.9-1.1
ii  libgcc1                1:4.7.2-4
ii  libglib2.0-0           2.33.12+really2.32.4-3
ii  libgtk2.0-0            2.24.10-2
ii  libnspr4               2:4.9.2-1
ii  libnss3                2:3.13.6-1
ii  libpango1.0-0          1.30.0-1
ii  libstdc++6             4.7.2-4
ii  libx11-6               2:1.5.0-1
ii  libxext6               2:1.3.1-2
ii  libxt6                 1:1.1.3-1
ii  wget                   1.13.4-3

flashplugin-nonfree recommends no packages.

Versions of packages flashplugin-nonfree suggests:
pn  hal                        <none>
ii  iceweasel                  10.0.11esr-1
pn  konqueror-nsplugins        <none>
ii  ttf-dejavu                 2.33-3
ii  ttf-mscorefonts-installer  3.4+nmu1
pn  ttf-xfree86-nonfree        <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#697339; Package flashplugin-nonfree. (Fri, 04 Jan 2013 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. (Fri, 04 Jan 2013 07:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 697339@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Martijn Brouwer <martijnb@gmx.com>, 697339@bugs.debian.org
Subject: flashplugin-nonfree: please download and install older player depending on /proc/cpuinfo
Date: Fri, 4 Jan 2013 07:46:51 +0000
retitle 697339 flashplugin-nonfree: please download and install older player depending on /proc/cpuinfo
severity 697339 wishlist
tags 697339 wontfix
stop


Hi Martijn,

On Fri, Jan 04, 2013 at 08:17:04AM +0100, Martijn Brouwer wrote:
> The flashplugin-nonfree package installs the newest version (currently 11.2)
> of the the flashplayer, which does not work on AMD K7 cpu's or other cpu's that
> do not support sse2. As a results, the player crashes with SIGILL.
> In iceweasel and firefox this does just not work. Epiphany and midori crash,
> only opera does show the cause of the crash.

I regret that flashplugin-nonfree does not work well for you.

> The 11.1 version of the flash player does not use sse2 and works correctly.
> Therefore I suggest that the flashplugin-nonfree package checks whether the 
> cpu supports sse2 (in /proc/cpuinfo), and the desides to install the latest
> version or the older 11.1. 

Creative idea, but that would install an Adobe Flash Player with security bugs.

Please report the SIGILL problem to Adobe, so that Adobe can maintain their
newest Adobe Flash Player in a way that works on AMD K7 cpu's.

Regards,

Bart Martens



Changed Bug title to 'flashplugin-nonfree: please download and install older player depending on /proc/cpuinfo' from 'flashplugin-nonfree: installation of non working flashplugin on AMD K7' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 04 Jan 2013 07:51:06 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 04 Jan 2013 07:51:06 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 04 Jan 2013 07:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bart Martens <bartm@debian.org>:
Bug#697339; Package flashplugin-nonfree. (Tue, 08 Jan 2013 14:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to bugreports@bublifuk.no-ip.org:
Extra info received and forwarded to list. Copy sent to Bart Martens <bartm@debian.org>. (Tue, 08 Jan 2013 14:48:09 GMT) Full text and rfc822 format available.

Message #21 received at 697339@bugs.debian.org (full text, mbox):

From: bugreports@bublifuk.no-ip.org
To: 697339@bugs.debian.org
Subject: Flash Player 10.3 is still maintained, and work on AMD K7
Date: Tue, 8 Jan 2013 15:29:59 +0100
Hi Bart

Yesterday (Jan 7, 2013) Adobe relased 10.3.183.50 version of flash
player (available at http://fpdownload.macromedia.com/get/flashplayer/current/licensing/linux/install_flash_player_10_linux.tar.gz), which work on AMD K7. Therefore I suggest fall back to 10.3 for non sse2 prcesors.

Regards,
Martin Filo



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#697339; Package flashplugin-nonfree. (Tue, 08 Jan 2013 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. (Tue, 08 Jan 2013 20:48:03 GMT) Full text and rfc822 format available.

Message #26 received at 697339@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 697339@bugs.debian.org
Subject: flashplugin-nonfree: please download and install older player depending on /proc/cpuinfo
Date: Tue, 8 Jan 2013 20:46:01 +0000
At first sight Martin Filo's suggestion about version 10.3.183.50 makes sense,
since this version is mentioned in the most recent security bulletin from
Adobe.
http://www.adobe.com/support/security/
http://www.adobe.com/support/security/bulletins/apsb13-01.html
However, 10.3.183.50 is over 61 megabytes big while the newest flash player is
only 7 megabytes, and downloading 10.3.183.50 is at a ridiculously small
bandwidth.  Also, I don't know yet whether 10.3.183.50 supports both i386 and
x86_64.
http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html



Information forwarded to debian-bugs-dist@lists.debian.org, Bart Martens <bartm@debian.org>:
Bug#697339; Package flashplugin-nonfree. (Thu, 31 Jan 2013 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martijn Brouwer <martijn.brouwer@inter.nl.net>:
Extra info received and forwarded to list. Copy sent to Bart Martens <bartm@debian.org>. (Thu, 31 Jan 2013 22:51:05 GMT) Full text and rfc822 format available.

Message #31 received at 697339@bugs.debian.org (full text, mbox):

From: Martijn Brouwer <martijn.brouwer@inter.nl.net>
To: 697339@bugs.debian.org
Subject: install adobe flash 11.1 on K7
Date: Thu, 31 Jan 2013 23:44:18 +0100
Dear Bart,
I don't think Adobe will drop SSE2 for the few K7 processors out there.
Similarly aged intel cpu's do support SSE2. I understand your point of
installing a potentially (more) unsafe flashplayer, but on K7 you don't
have alternatives. I suggest warning the user that 11.1 might be more
insecure and ask him for confirmation before installing the older
version. After all, old nVidia drivers are also installed.

with kind regards,

Martijn




Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sun, 06 Oct 2013 19:06:13 GMT) Full text and rfc822 format available.

Notification sent to Martijn Brouwer <martijnb@gmx.com>:
Bug acknowledged by developer. (Sun, 06 Oct 2013 19:06:13 GMT) Full text and rfc822 format available.

Message #36 received at 697339-close@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 697339-close@bugs.debian.org
Subject: Bug#697339: fixed in flashplugin-nonfree 1:3.3
Date: Sun, 06 Oct 2013 19:03:14 +0000
Source: flashplugin-nonfree
Source-Version: 1:3.3

We believe that the bug you reported is fixed in the latest version of
flashplugin-nonfree, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697339@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bart Martens <bartm@debian.org> (supplier of updated flashplugin-nonfree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 06 Oct 2013 07:02:54 +0000
Source: flashplugin-nonfree
Binary: flashplugin-nonfree
Architecture: source amd64
Version: 1:3.3
Distribution: unstable
Urgency: low
Maintainer: Bart Martens <bartm@debian.org>
Changed-By: Bart Martens <bartm@debian.org>
Description: 
 flashplugin-nonfree - Adobe Flash Player - browser plugin
Closes: 696408 697339 701957
Changes: 
 flashplugin-nonfree (1:3.3) unstable; urgency=low
 .
   * get-upstream-version.pl: Support different returned webpages.
   * debian/rules: Upload checksum files per version.
   * update-flashplugin-nonfree: Use checksum file per version.
   * get-upstream-version.pl: Added option "nosse2".
   * update-flashplugin-nonfree: Suggest "--nosse2" on hardware without sse2.
   * update-flashplugin-nonfree: Added option "--nosse2".
     Closes: #701957, #697339, #696408.
Checksums-Sha1: 
 eb3b47a166316337e4b3b9fded4dbabd7d17efe7 1507 flashplugin-nonfree_3.3.dsc
 fe50fc1b0a6662d0095c31c367c2b71b2012aad2 20392 flashplugin-nonfree_3.3.tar.gz
 dbdcf6a0ab673f67e0181d3694a2b268e2677c8f 19130 flashplugin-nonfree_3.3_amd64.deb
Checksums-Sha256: 
 ecfef0bc2d3d3319d6e2331e58953010e6cc22d6f8c1e25a35b50d3425652203 1507 flashplugin-nonfree_3.3.dsc
 ab4fd5f992aead19152ba59999e919d81db0cfb0e6bda2b4775a58a232a8cb95 20392 flashplugin-nonfree_3.3.tar.gz
 f641dc79847cb375e0ec340045f71d205d1b38016a00fd6e64d089012cbf122e 19130 flashplugin-nonfree_3.3_amd64.deb
Files: 
 ccc2a233520d115fcdd07565f9059067 1507 contrib/web optional flashplugin-nonfree_3.3.dsc
 4bdd61fb3d7a885a3ee94232a1ae9d6a 20392 contrib/web optional flashplugin-nonfree_3.3.tar.gz
 a0b28698862ef12e3dd720b9093a2e63 19130 contrib/web optional flashplugin-nonfree_3.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSUbJjAAoJEDNV9NY7WCHME/YQAKhJHN83lMFQ6XqkS4zGEYOs
oGo3XfraSdA2GXGpALvsRGaDFsCrkR0zZMMelh5A+2j60j9i16O0WF8tEGKkm8mW
iU0PdmG+FxwQQmdvV9wjVoPxm1OlLpFYAQrv45DRDVAENqV1j9iMiCoboyXLhltV
wKqXkQk+n0g8040E0wMflHXkL457YN9oL+5nPcB1k1Kg/ZOuHHGq7zdKhS1EofKb
0njCZ7IFy+69OytiY4HwJcBMdCj0dPFPVy99EdliCB9I93d5CcudvXcnFVyB83kl
J4S5RZWJ30y8oGpEDQThRqAYZyJ1URI7WsBEW5dXggZeCUgXXsiHIq0fzG1745uS
8610ZbPBLVokEIvj2h/8mZJjTO8S5MjWxRu2jmSFddMliGn9BQ6nEXNfc2k8cTj/
fcZrjf/BzbQqlr9aeoEM0peUyXBRH/Uj8zDWqdphddQZha/EhjlSOjEuPJwUIs6R
AgcUaTpwZcAYqqMGVBZq7Y/JOMiO93WPUPMiuY5j5zMLQ8g8V9ejrnKedhZ96Hnt
MHKil+riGRy21wTbLiRdTGVh+1aI1yJydaEwNACUM4cNIJRq1IIdJXOKiTdTaa7o
279aoucgLud3iN6K42eelJ7Gr1pLOuM97GicbONwPlWw1H4cGgdJv8qbVTJRvykr
cpf50E+hIPsgo4Vl03CO
=f1Dy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Nov 2013 07:30:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:39:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.